<button class="toggle-sidenav" (click)="toggleSidenav()">
  <i class="icon-icomoon-sidenav-arrow" [ngClass]="{'close': !isOpened}"></i>
</button>
<ng-container *ngIf="!showCreateForm">
  <div class="sticky">
    <div class="buttons-container">
      <div class="buttons">
        <geodesign-button styles="icons">
          <i class="icon-icomoon-shape"></i>
        </geodesign-button>
        <geodesign-button (clickButton)="openCreation()">
          {{ 'PANEL_LINE.CREATE' | translate }}
        </geodesign-button>
      </div>
    </div>
    <div class="lines-wrapper">
      <div class="lines" [ngClass]="{'opened': isLinesOpened}">
        <div class="line" *ngFor="let line of lines; trackBy: trackByFn"
             [ngStyle]="{borderColor: line.couleur, color: selectedLine?.id === line.id ? '#fff' : line.couleur, backgroundColor: selectedLine?.id === line.id ? line.couleur : 'inherit'}"
             (click)="openLine(line)">
          {{ line.abbr }}
        </div>
        <button class="toggle-lines" (click)="toggleLine()">
          <i class="icon-icomoon-sidenav-arrow" [ngClass]="{'opened': isLinesOpened}"></i>
        </button>
      </div>
      <button class="toggle-lines" (click)="toggleLine()">
        <i class="icon-icomoon-sidenav-arrow" [ngClass]="{'opened': isLinesOpened}"></i>
      </button>
    </div>
  </div>

  <div class="line-information" *ngIf="selectedLine">
    <drag-scroll style="height: calc(100% - 120px);" class="drag-scroll-vertical" [scrollbar-hidden]="true"
                 [drag-scroll-x-disabled]="true">
      <geodesign-line-actions (modifyLine)="onModifyLine()" (deleteLine)="onDeleteLine()"></geodesign-line-actions>
      <geodesign-line-periods [line]="selectedLine"></geodesign-line-periods>
      <geodesign-line-commercial-speed [line]="selectedLine"></geodesign-line-commercial-speed>
      <geodesign-line-triggering *ngIf="isTadLine(selectedLine)" [line]="selectedLine"></geodesign-line-triggering>
      <geodesign-line-round-trip [line]="selectedLine"></geodesign-line-round-trip>
      <geodesign-line-antenna [line]="selectedLine"></geodesign-line-antenna>
      <geodesign-line-statistics [line]="selectedLine"></geodesign-line-statistics>
      <geodesign-line-territory [line]="selectedLine"></geodesign-line-territory>
    </drag-scroll>
  </div>
  <div class="see-all-statistics">
    <a (click)="openStatsDialog()">{{ 'LINE_INFO.SEE_STATISTICS' | translate }}</a>
  </div>
</ng-container>
<geodesign-line-creation
  [line]="selectedLine"
  [isModify]="isModify"
  *ngIf="showCreateForm"
  (closeCreation)="showCreateForm = !showCreateForm">
</geodesign-line-creation>
